/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { NumberPrefixParser, DocMetadataBase, VersionMetadata, SidebarOptions } from '../types';
import type { Sidebars, NormalizedSidebars, SidebarItemsGeneratorOption } from './types';
export declare type SidebarProcessorProps = {
    sidebarItemsGenerator: SidebarItemsGeneratorOption;
    numberPrefixParser: NumberPrefixParser;
    docs: DocMetadataBase[];
    version: VersionMetadata;
    options: SidebarOptions;
};
export declare function processSidebars(unprocessedSidebars: NormalizedSidebars, props: SidebarProcessorProps): Promise<Sidebars>;
